Debian Bug report logs - #574073
kvm: No useful error message when hugepages are not available

version graph

Package: qemu-kvm; Maintainer for qemu-kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for qemu-kvm is src:qemu.

Reported by: Russell Coker <russell@coker.com.au>

Date: Tue, 16 Mar 2010 04:48:02 UTC

Severity: normal

Fixed in version qemu-kvm/0.12.4+dfsg-1

Done: Jan Lübbe <jluebbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 04:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 04:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kvm: No useful error message when hugepages are not available
Date: Tue, 16 Mar 2010 15:44:28 +1100
Package: kvm
Version: 72+dfsg-5~lenny5
Severity: normal

When the path specified by -mem-path isn't writable the error message
"mkstemp: Permission denied" is displayed on stderr - which means that it
can't be seen until after the kvm session is ended when using the -curses
option.

Also the error message doesn't have an obvious meaning.




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 04:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 04:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 574073@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 574073@bugs.debian.org
Subject: failure mode
Date: Tue, 16 Mar 2010 15:52:32 +1100
I think that this particular error should result in aborting the attempt to 
run kvm.  When I specifically instruct the program to do a particular action 
and it's unable to do so that's a good cause for aborting with an error.  
IMHO work-arounds should be implemented by humans not software.




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 07:42:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 07:42:25 GMT) Full text and rfc822 format available.

Message #15 received at 574073@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Russell Coker <russell@coker.com.au>, 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Tue, 16 Mar 2010 10:39:08 +0300
Russell Coker wrote:
> Package: kvm
> Version: 72+dfsg-5~lenny5
> Severity: normal
> 
> When the path specified by -mem-path isn't writable the error message
> "mkstemp: Permission denied" is displayed on stderr - which means that it
> can't be seen until after the kvm session is ended when using the -curses
> option.

Russell, it's the same thing as #574063 again.  If you redirected stderr
to /dev/null, please don't complain that you see no useful error message.
With -curses the current terminal is used for entirely different purpose
(guest output), and if you at the same time want to see stderr, redirect
it to a file or a pipe, or use some management software.

Generally, and it applies to #574063 too, kvm lacks control over "failure
reaction": here when it is unable to allocate hugepages, and in #574063,
when it can't initialize /dev/kvm, and in some other cases, it currently
continues, but sometimes it is useful to stop here with error.  There is
no way currently to tell kvm to turn such "warning" messages into fatal
errors.

> Also the error message doesn't have an obvious meaning.

Yes, this is a valid point, and I think I'll get it fixed.

I'll close this bug if you don't have further points.


By the way, 0-72 version as shipped in Lenny is a joke nowadays.  It is
not a bad development snapshot, but it is still a development snapshot,
just like all other kvm-NN "releases" were.  If you intend to play or
even use kvm, grab it from backports (it's called qemu-kvm there) - this
version is a bit closer to released software than kvm-72 in lenny.  I for
one will not try to support it in any way, unless the same problem exists
in qemu-kvm-0.12.

And thank you for bringing this option under my attention - I overlooked
it somehow until you pointed me it.  Very good thing!

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 10:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 10:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 574073@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Tue, 16 Mar 2010 21:06:39 +1100
On Tue, 16 Mar 2010, Michael Tokarev <mjt@tls.msk.ru> wrote:
> > When the path specified by -mem-path isn't writable the error message
> > "mkstemp: Permission denied" is displayed on stderr - which means that it
> > can't be seen until after the kvm session is ended when using the -curses
> > option.
>
> Russell, it's the same thing as #574063 again.  If you redirected stderr
> to /dev/null, please don't complain that you see no useful error message.

But when an application redirects it's own output to /dev/null it's something 
that needs to be fixed - I've filed Debian bug reports about that before.

> With -curses the current terminal is used for entirely different purpose
> (guest output), and if you at the same time want to see stderr, redirect
> it to a file or a pipe, or use some management software.

Or kvm could use syslog or some other mechanism for logging such things.

> Generally, and it applies to #574063 too, kvm lacks control over "failure
> reaction": here when it is unable to allocate hugepages, and in #574063,
> when it can't initialize /dev/kvm, and in some other cases, it currently
> continues, but sometimes it is useful to stop here with error.  There is
> no way currently to tell kvm to turn such "warning" messages into fatal
> errors.

The lack of a way to turn warnings into fatal errors is a bug.  Think 
of -Werror for C compilation.

> By the way, 0-72 version as shipped in Lenny is a joke nowadays.  It is
> not a bad development snapshot, but it is still a development snapshot,
> just like all other kvm-NN "releases" were.  If you intend to play or
> even use kvm, grab it from backports (it's called qemu-kvm there) - this
> version is a bit closer to released software than kvm-72 in lenny.  I for
> one will not try to support it in any way, unless the same problem exists
> in qemu-kvm-0.12.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574060

My first attempt at reporting such bugs involved reproducing some of them on 
Unstable, but unfortunately they got lost (see the above reportbug bug).





Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 11:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 11:06:07 GMT) Full text and rfc822 format available.

Message #25 received at 574073@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: russell@coker.com.au, 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Tue, 16 Mar 2010 14:02:25 +0300
Russell Coker wrote:
> On Tue, 16 Mar 2010, Michael Tokarev <mjt@tls.msk.ru> wrote:
>>> When the path specified by -mem-path isn't writable the error message
>>> "mkstemp: Permission denied" is displayed on stderr - which means that it
>>> can't be seen until after the kvm session is ended when using the -curses
>>> option.
>> Russell, it's the same thing as #574063 again.  If you redirected stderr
>> to /dev/null, please don't complain that you see no useful error message.
> 
> But when an application redirects it's own output to /dev/null it's something 
> that needs to be fixed - I've filed Debian bug reports about that before.

In this case the application does not do any redirections, and
the output is actually visible, but only after guest output gets
erased.

>> With -curses the current terminal is used for entirely different purpose
>> (guest output), and if you at the same time want to see stderr, redirect
>> it to a file or a pipe, or use some management software.
> 
> Or kvm could use syslog or some other mechanism for logging such things.

Where the error message will not be noticed either.  With current
form it at least has a chance to be noticed after the guest exits.

In short, I disagree with your points, and think - based on my own experience
- that currently kvm does the best (modulo the error message _text_).  I
fully agree about the usefulness of the particular error message, and
I already sent a patch to upstream fixing this (trivial one-liner).

>> Generally, and it applies to #574063 too, kvm lacks control over "failure
>> reaction": here when it is unable to allocate hugepages, and in #574063,
>> when it can't initialize /dev/kvm, and in some other cases, it currently
>> continues, but sometimes it is useful to stop here with error.  There is
>> no way currently to tell kvm to turn such "warning" messages into fatal
>> errors.
> 
> The lack of a way to turn warnings into fatal errors is a bug.  Think 
> of -Werror for C compilation.

-Werror is something different really.

For kvm we're talking about optional features, and how to react to them
lacking - either continue with a warning or stop - depends on the point
of view.  Some will say current ways is good, others says it is not, and
both has their points.  For now it is upstream decision, and I think the
best option - if you want the discussion about errors-vs-warnings to
continue with some productivity - is to move it to upstream mailinglist.

Ditto about error reporting in case of -curses.  Note that the same
theme pops up in context of -daemon option, where kvm may actually
close stderr as you mentioned above.

I'm relatively new to Debian still (speaking of package maintenance
anyway) and don't know how a maintainer usually should treat ideas
and suggestions about a package when said ideas are clearly should
be at least discussed with upstream, -- the actual author(s) of the
piece of software in question.  But in any way, I personally do not
see a problem here, from "error reporting" perspective (however, the
-daemon case needs to be checked).  About treating warnings as
errors, -- this is actually useful, at least for #574063, -- so my
current plan is to left both bugs open for now, and close #574063 when
kvm will be able to stop if no kvm extensions are present and close
this #574073 after changing text of the error message to something
more meaningful.

>> By the way, 0-72 version as shipped in Lenny is a joke nowadays.  It is
>> not a bad development snapshot, but it is still a development snapshot,
>> just like all other kvm-NN "releases" were.  If you intend to play or
>> even use kvm, grab it from backports (it's called qemu-kvm there) - this
>> version is a bit closer to released software than kvm-72 in lenny.  I for
>> one will not try to support it in any way, unless the same problem exists
>> in qemu-kvm-0.12.
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574060
> 
> My first attempt at reporting such bugs involved reproducing some of them on 
> Unstable, but unfortunately they got lost (see the above reportbug bug).

Yeah, it's PITA when debuggers needs to be debugged before being useful...

But I were talking about bpo really, not about unstable.

Thanks!

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Tue, 16 Mar 2010 11:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Tue, 16 Mar 2010 11:39:07 GMT) Full text and rfc822 format available.

Message #30 received at 574073@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Tue, 16 Mar 2010 22:37:23 +1100
On Tue, 16 Mar 2010, Michael Tokarev <mjt@tls.msk.ru> wrote:
> > Or kvm could use syslog or some other mechanism for logging such things.
>
> Where the error message will not be noticed either.  With current
> form it at least has a chance to be noticed after the guest exits.

There is no requirement that an error be logged in only one way.  It's a 
fairly common practice to use both stderr and syslog for logging the same 
message.

> In short, I disagree with your points, and think - based on my own
> experience - that currently kvm does the best (modulo the error message
> _text_).  I fully agree about the usefulness of the particular error
> message, and I already sent a patch to upstream fixing this (trivial
> one-liner).

Thanks.

> For kvm we're talking about optional features, and how to react to them
> lacking - either continue with a warning or stop - depends on the point
> of view.

A point of view which can be expressed by command-line options - similar 
to -Werror.

> Ditto about error reporting in case of -curses.  Note that the same
> theme pops up in context of -daemon option, where kvm may actually
> close stderr as you mentioned above.

open /dev/kvm: Permission denied
Could not initialize KVM, will disable KVM support

Good point, when both /dev/kvm and /hugepages are unavailable with 
the -daemonize option only the above error is logged.

> I'm relatively new to Debian still (speaking of package maintenance
> anyway) and don't know how a maintainer usually should treat ideas
> and suggestions about a package when said ideas are clearly should
> be at least discussed with upstream, -- the actual author(s) of the
> piece of software in question.

There is some disagreement on this topic.  I believe that a DD should forward 
requests to upstream.  I believe that there are two situations where the DD 
should direct the reporter to contact upstream:
1)  The DD refuses to support a feature without upstream support and upstream 
has indicated that they won't support it.
2)  The DD thinks it's just a bad idea and uses "please contact upstream" to 
mean "please go away".

With my packages I sometimes refer bugs upstream, and more often I fix the 
bugs and send the patch upstream.  For me being a package maintainer is 
strongly correlated with being an upstream developer.




Added tag(s) pending. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 17 Mar 2010 10:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package kvm. (Wed, 17 Mar 2010 20:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Wed, 17 Mar 2010 20:36:09 GMT) Full text and rfc822 format available.

Message #37 received at 574073@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 574063@bugs.debian.org, 574051@bugs.debian.org, 574073@bugs.debian.org, 574069@bugs.debian.org
Subject: reassign kvm bugs to qemu-kvm
Date: Wed, 17 Mar 2010 23:33:13 +0300
reassign 574063 qemu-kvm
reassign 574051 qemu-kvm
reassign 574073 qemu-kvm
reassign 574069 qemu-kvm
thanks

Reassigning (some) bugs against kvm package to qemu-kvm.
The version in Lenny is frozen and is too old and buggy
to be useful.  In squeeze+ the package is qemu-kvm, not
kvm.  And all the further work will be done there, not
in kvm in Lenny.  Thanks.

/mjt




Bug reassigned from package 'kvm' to 'qemu-kvm'. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 17 Mar 2010 20:36:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kvm/72+dfsg-5~lenny5. Request was from Michael Tokarev <mjt@tls.msk.ru> to control@bugs.debian.org. (Wed, 17 Mar 2010 20:36:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package qemu-kvm. (Wed, 17 Mar 2010 21:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Wed, 17 Mar 2010 21:00:08 GMT) Full text and rfc822 format available.

Message #46 received at 574073@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: russell@coker.com.au, 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Wed, 17 Mar 2010 23:59:01 +0300
Russell Coker wrote:
> On Tue, 16 Mar 2010, Michael Tokarev <mjt@tls.msk.ru> wrote:
>>> Or kvm could use syslog or some other mechanism for logging such things.
>> Where the error message will not be noticed either.  With current
>> form it at least has a chance to be noticed after the guest exits.
> 
> There is no requirement that an error be logged in only one way.  It's a 
> fairly common practice to use both stderr and syslog for logging the same 
> message.
> 
>> In short, I disagree with your points, and think - based on my own
>> experience - that currently kvm does the best (modulo the error message
>> _text_).
[]

Rehashing it all.  There are several points here, all inter-mixed.  Let's
sort them out one by one.

I see 3 issues here:

 1) bad error message _text_.  It's fixed (only partially, -- I've looked
    at the thing again and see more cases where it'll throw as useful
    error messages as this one -- I'll add/send more patches for this).
    At least this does not need to be discussed further, I think.

 2) destination of error/warning messages.  I disagree with your position
   here, it is for this very reason we've separate stderr and stdout.  If
   you expect to see some (large) output on stdout, and there may be some
   (usually small) messages on stderr, redirect stderr to a file.  Think
   about, say, tar(1): `tar cfv foo.tar /home' -- it will show tons of
   filenames as it packs them, and you'll hardly notice the first
   "Warning: removing leading `/' from pathnames" or even wont know why
   it said "Exiting with non-zero status due to previous errors" because
   some file(s) disappeared while it worked.  It is exactly the same with
   qemu behavior at hand.  To me, this is not a problem or bug which
   needs fixing or discussing.

 3) -Werror mode.  I somehow missed your second email in this bug#, where
   you said:

 "
 I think that this particular error should result in aborting the attempt to
 run kvm.  When I specifically instruct the program to do a particular action
 and it's unable to do so that's a good cause for aborting with an error.
 IMHO work-arounds should be implemented by humans not software.
 "

   Valid points, and it's the same as with -enable-kvm and inability to
   use /dev/kvm for some reason (#574063).

   And this is where the real question is, and what is this bug about, or
   at least I will treat it this way.

Does it sound right?

But for 3), and #574063, I think the two bugs should be merged together.
There are other cases like this, and before trying to deal with the
issues, there should be general consensus about how to solve similar
problems.

[]
>> I'm relatively new to Debian still (speaking of package maintenance
>> anyway) and don't know how a maintainer usually should treat ideas
>> and suggestions about a package when said ideas are clearly should
>> be at least discussed with upstream, -- the actual author(s) of the
>> piece of software in question.
> 
> There is some disagreement on this topic.  I believe that a DD should forward 
> requests to upstream.  I believe that there are two situations where the DD 
> should direct the reporter to contact upstream:
> 1)  The DD refuses to support a feature without upstream support and upstream 
> has indicated that they won't support it.
> 2)  The DD thinks it's just a bad idea and uses "please contact upstream" to 
> mean "please go away".

This is what I think about 2) above -- "hiding" error messages with -curses.
I'm not saying "go away", but I disagree that it's something that needs
fixing -- it's _my_ opinion, not upstream's, but it so happens the two
are quite similar... :)

Thanks!

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#574073; Package qemu-kvm. (Thu, 18 Mar 2010 01:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to russell@coker.com.au:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 18 Mar 2010 01:39:02 GMT) Full text and rfc822 format available.

Message #51 received at 574073@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 574073@bugs.debian.org
Subject: Re: Bug#574073: kvm: No useful error message when hugepages are not available
Date: Thu, 18 Mar 2010 12:35:42 +1100
On Thu, 18 Mar 2010, Michael Tokarev <mjt@tls.msk.ru> wrote:
> I see 3 issues here:
>
>  1) bad error message _text_.  It's fixed (only partially, -- I've looked
>     at the thing again and see more cases where it'll throw as useful
>     error messages as this one -- I'll add/send more patches for this).
>     At least this does not need to be discussed further, I think.

Great!

>  2) destination of error/warning messages.  I disagree with your position
>    here, it is for this very reason we've separate stderr and stdout.  If

OK, there are other ways of getting the type of results I desire.

>  3) -Werror mode.  I somehow missed your second email in this bug#, where
>    you said:
>
>  "
>  I think that this particular error should result in aborting the attempt
> to run kvm.  When I specifically instruct the program to do a particular
> action and it's unable to do so that's a good cause for aborting with an
> error. IMHO work-arounds should be implemented by humans not software.
>  "
>
>    Valid points, and it's the same as with -enable-kvm and inability to
>    use /dev/kvm for some reason (#574063).
>
>    And this is where the real question is, and what is this bug about, or
>    at least I will treat it this way.
>
> Does it sound right?

Yes, that's fine.  If you make it always do what I tell it to do then there 
would not be much need for error messages about failure modes.

> But for 3), and #574063, I think the two bugs should be merged together.
> There are other cases like this, and before trying to deal with the
> issues, there should be general consensus about how to solve similar
> problems.

Sure.




Reply sent to Jan Lübbe <jluebbe@debian.org>:
You have taken responsibility. (Wed, 19 May 2010 06:51:14 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Wed, 19 May 2010 06:51:14 GMT) Full text and rfc822 format available.

Message #56 received at 574073-close@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: 574073-close@bugs.debian.org
Subject: Bug#574073: fixed in qemu-kvm 0.12.4+dfsg-1
Date: Wed, 19 May 2010 06:47:56 +0000
Source: qemu-kvm
Source-Version: 0.12.4+dfsg-1

We believe that the bug you reported is fixed in the latest version of
qemu-kvm, which is due to be installed in the Debian FTP archive:

kvm_0.12.4+dfsg-1_i386.deb
  to main/q/qemu-kvm/kvm_0.12.4+dfsg-1_i386.deb
qemu-kvm-dbg_0.12.4+dfsg-1_i386.deb
  to main/q/qemu-kvm/qemu-kvm-dbg_0.12.4+dfsg-1_i386.deb
qemu-kvm_0.12.4+dfsg-1.diff.gz
  to main/q/qemu-kvm/qemu-kvm_0.12.4+dfsg-1.diff.gz
qemu-kvm_0.12.4+dfsg-1.dsc
  to main/q/qemu-kvm/qemu-kvm_0.12.4+dfsg-1.dsc
qemu-kvm_0.12.4+dfsg-1_i386.deb
  to main/q/qemu-kvm/qemu-kvm_0.12.4+dfsg-1_i386.deb
qemu-kvm_0.12.4+dfsg.orig.tar.gz
  to main/q/qemu-kvm/qemu-kvm_0.12.4+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 574073@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Lübbe <jluebbe@debian.org> (supplier of updated qemu-kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 May 2010 22:43:54 +0200
Source: qemu-kvm
Binary: qemu-kvm qemu-kvm-dbg kvm
Architecture: source i386
Version: 0.12.4+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Jan Lübbe <jluebbe@debian.org>
Changed-By: Jan Lübbe <jluebbe@debian.org>
Description: 
 kvm        - dummy transitional package from kvm to qemu-kvm
 qemu-kvm   - Full virtualization on x86 hardware
 qemu-kvm-dbg - Debugging info for qemu-kvm
Closes: 558029 565573 574051 574073 575628 578154 578846
Changes: 
 qemu-kvm (0.12.4+dfsg-1) unstable; urgency=low
 .
   [ Michael Tokarev ]
   * New upstream minor/stable release 0.12.4, incorporating
     the following patches:
      avoid_creating_too_large_iovecs_in_multiwrite_merge.patch
      net:-remove-broken-net_set_boot_mask-boot-device-validation.diff
      block:-free-iovec-arrays-allocated-by-multiwrite_merge.diff
      bail-out-when-VCPU_CREATE-fails.diff
   * add madv_mergeable-for-old-kernheaders-hack.diff, mostly
     to help bpo builds (it is to enable KMS even when compiled
     against old kernel headers, when running on recent-enough
     kernel)
   * fix kvm transitional package to have Priority: extra
   * also fix kvm transitional package to properly run with reportbug,
     and simplify the bug-script and use dh_bugfiles to install them.
   * adedd isa-refine-irq-reservations.patch from Gerd Hoffmann
     (closes: #574051)
   * added be_more_specific_in_-mem-path_error_messages.diff trivial
     patch to be more specific when throwing errors. (closes: #574073)
   * bump debhelper build-depend version to 7.2.3 due to dh_bugfiles.
   * net:-remove-broken-net_set_boot_mask-boot-device-validation.diff
     (to let it to boot from network using new -netdev syntax, cherry-
     picked from stable) (closes: #575628)
   * block:-free-iovec-arrays-allocated-by-multiwrite_merge.diff
     to fix a memory leak in virtio-blk implementation
   * rehash 04_use_etc_kvm_kvm-ifup.patch - apparently the #defines
     are now in two places, remove one of them and patch another
   * bail-out-when-VCPU_CREATE-fails.diff - new patch to make kvm to behave
     a bit nicely if vcpu_create fails: before it were just segfaulting.
     (closes: #558029)
   * give-useful-error-messages-when-tap-open-fails.diff: when manipulation
     of /dev/net/tun fails, give some more useful error messages.
     (closes: #578154)
   * document -incoming option (document--incoming-option.diff).
     (closes: #565573)
   * (preliminary) fix for usb keyboard keymap, usbkbd-menu-logo-keys.diff.
     (closes: #578846)
Checksums-Sha1: 
 4048eede4580ce31e6cf9b2a041f4ecdbc85c96e 1613 qemu-kvm_0.12.4+dfsg-1.dsc
 942751448c7905d245448ac3b015a7970200d8b9 3800176 qemu-kvm_0.12.4+dfsg.orig.tar.gz
 45f48a8bd259011704ac3ac425c38c2546556b82 280453 qemu-kvm_0.12.4+dfsg-1.diff.gz
 427fbebfd322121b037ddd9e6b8ce7d1587e4396 1486910 qemu-kvm_0.12.4+dfsg-1_i386.deb
 3d3e99fea0c5fe4b4ec0cbe47a0f9f1337664139 2781082 qemu-kvm-dbg_0.12.4+dfsg-1_i386.deb
 97b84602dc2d0845df90874ffd035c3a5d12d86b 10026 kvm_0.12.4+dfsg-1_i386.deb
Checksums-Sha256: 
 3771ad46f9eda38a4d5485d7eb9498312436f1ff041219557d22be2d83255298 1613 qemu-kvm_0.12.4+dfsg-1.dsc
 b8545175542812c67c1b8bfbec887a54dedfccfbbca21515b93fcdbe9c982932 3800176 qemu-kvm_0.12.4+dfsg.orig.tar.gz
 f3f8bb38be9c94ae25155b560c52a8ae05f8fd6a86c2a1270e86313933ac46b9 280453 qemu-kvm_0.12.4+dfsg-1.diff.gz
 5ef81ce77e5c7cc7b5400370f2af99949a66aad821fb74d4a4101cb5138f303f 1486910 qemu-kvm_0.12.4+dfsg-1_i386.deb
 904b8ca37cdb081d274261ef1a8a61a74b3978742f96e6a230ad7a3c15a1e1f1 2781082 qemu-kvm-dbg_0.12.4+dfsg-1_i386.deb
 8706c2175477f79844c09cfe516332cddd4fece52172dc21ea3dec4b5e335a8e 10026 kvm_0.12.4+dfsg-1_i386.deb
Files: 
 40eb49dc0f3423d75ffddb93b2b3c0f7 1613 misc optional qemu-kvm_0.12.4+dfsg-1.dsc
 085ce47a92f571093b4e86142e1eed83 3800176 misc optional qemu-kvm_0.12.4+dfsg.orig.tar.gz
 cc704f41c3ef816c549526f662a9d524 280453 misc optional qemu-kvm_0.12.4+dfsg-1.diff.gz
 72685358f8cd9fc1fd42125db5bf6371 1486910 misc optional qemu-kvm_0.12.4+dfsg-1_i386.deb
 8c2528b38b83c5765f88d52dd28aa317 2781082 debug extra qemu-kvm-dbg_0.12.4+dfsg-1_i386.deb
 274127d351746f7f7d6aee3f59230d62 10026 oldlibs extra kvm_0.12.4+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvzhvMACgkQioOL5NhIDy66VQCeMKtxF1Hs/GTGd4RS+uWoZEG+
FKEAn15CXca2+oJPuvNUw7P52RM7GoeO
=Q6mc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jun 2010 07:36:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:21:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.